Kepler - Bug #6588

R actor does not have error for missing output
08/21/2014 01:27 PM - Daniel Crawl

Status: New Start date: 08/21/2014
Priority: Normal Due date:

Assignee: ben leinfelder % Done: 0%
Category: actors Estimated time: 0.00 hour
Target version: 2.X.Y Spent time: 0.00 hour
Bugzilla-ld:

Description

If the R actor has an output port "x", but the script does not assign a value to a variable "x", then the actor should report an error.
Currently, the actor successfully runs but does not write a token to the output port.

History

#1 - 08/17/2015 09:36 AM - Daniel Crawl

- Assignee changed from Daniel Crawl to ben leinfelder

Ben, should the actor always report an error in this case? If so, I'll update the actor.

#2 - 08/21/2015 03:54 PM - Daniel Crawl
- Target version changed from 2.5.0 to 2.X.Y
